Bug 226847 - [PATCH] benchmarks/sysbench: simplify BUILD_DEPENDS
Summary: [PATCH] benchmarks/sysbench: simplify BUILD_DEPENDS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-22 15:21 UTC by Li-Wen Hsu
Modified: 2018-04-03 10:00 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
sysbench.diff (364 bytes, patch)
2018-03-22 15:21 UTC, Li-Wen Hsu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Wen Hsu freebsd_committer 2018-03-22 15:21:05 UTC
Created attachment 191737 [details]
sysbench.diff

Use editors/vim-console in BUILD_DEPENDS, which also provides bin/xxd
Comment 1 Po-Chuan Hsieh freebsd_committer 2018-03-23 10:40:11 UTC
vim-console is lighter but it conflicts with vim.
Comment 2 commit-hook freebsd_committer 2018-04-03 09:46:57 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Apr  3 09:46:25 UTC 2018
New revision: 466297
URL: https://svnweb.freebsd.org/changeset/ports/466297

Log:
  Simplify BUILD_DEPENDS: use lightweight vim-console instead of vim

  PR:		226847
  Submitted by:	lwhsu

Changes:
  head/benchmarks/sysbench/Makefile
Comment 3 Po-Chuan Hsieh freebsd_committer 2018-04-03 10:00:56 UTC
Committed. Thanks!